Page MenuHomePhabricator

GatewayAdapter::getCurrencies should return currencies supported for the donor's country
Closed, ResolvedPublic2 Story Points

Description

When a country is selected, getCurrencies should return only the currencies supported by that gateway in that country. It also doesn't need to be a static function.

Event Timeline

Ejegg created this task.Jan 21 2016, 6:56 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 21 2016, 6:56 PM
awight added a subscriber: awight.Jan 26 2016, 8:31 PM

I like it. There's some potential for generalization, too, if we have some way of querying methods / gateways / currencies, given any known variables (method, country).

DStrine set Security to None.Feb 9 2016, 8:35 PM
DStrine edited a custom field.
Ejegg added a comment.Feb 16 2016, 8:23 PM

We could potentially get this info from the DonationInterfaceFormSettings.

Ejegg claimed this task.Feb 18 2016, 5:11 PM
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Dirt Farming board.

Change 271569 had a related patch set uploaded (by Ejegg):
WIP filter currencies by country

https://gerrit.wikimedia.org/r/271569

Change 271689 had a related patch set uploaded (by Ejegg):
Don't show single-value currency dropdown

https://gerrit.wikimedia.org/r/271689

Change 271703 had a related patch set uploaded (by Ejegg):
Allow a different fallback currency for each country

https://gerrit.wikimedia.org/r/271703

Change 271569 merged by jenkins-bot:
Filter currencies by country

https://gerrit.wikimedia.org/r/271569

awight added a comment.Mar 2 2016, 7:03 AM

I would love to catch up on the design for this, there are a lot of really useful-seeming patches, but I don't quite get how the pieces fit together. Building for the AstroPay case might be a little bit over-specific. @Ejegg, Tomorrow would be a good time to chat actually because I can play a very convincing person-on-the-street who knows nothing about what's going on ;-)

Change 271703 merged by jenkins-bot:
Allow a different fallback currency for each country

https://gerrit.wikimedia.org/r/271703

Change 271689 merged by jenkins-bot:
Don't show single-value currency dropdown

https://gerrit.wikimedia.org/r/271689

Ejegg closed this task as Resolved.Mar 4 2016, 1:16 AM
mmodell removed a subscriber: awight.Jun 22 2017, 9:41 PM